var file1 = [];
$(function(){
	var delParent;
	var defaults = {
		fileType         : ["jpg","png","bmp","jpeg"],   // 上传文件的类型
		fileSize         : 1024 * 1024 * 10                  // 上传文件的大小 10M
	};
		/*点击图片的文本框*/
	$(".file").change(function(){
		var idFile = $(this).attr("id");
		var file = document.getElementById(idFile);
		var imgContainer = $(this).parents(".z_photo"); //存放图片的父亲元素
		var fileList = file.files; //获取的图片文件
		var imgArr = [];
		//遍历得到的图片文件q
		fileList = validateUp(fileList);
		for(var i = 0;i<fileList.length;i++){
		 var imgUrl = window.URL.createObjectURL(fileList[i]);
			 imgArr.push(imgUrl);
		 var $section = $("<section class='up-section fl loading'>");
			 imgContainer.prepend($section);
		 var $span = $("<a href='"+imgArr[i]+"' target='_blank'><span class='up-span' style='cursor:pointer'></a>");
			 $span.appendTo($section);

		 var $img0 = $("<img class='close-upimg' data-filename='"+fileList[i].name+"'>").on("click",function(event){
				event.preventDefault();
				event.stopPropagation();
				$(".works-mask").show();
				delParent = $(this).parent();
			});
			$img0.attr("src",path+"/static/img/a7.png").appendTo($section);
		 var $img = $("<img  name='files' class='up-img up-opcity'>");
			 $img.attr("src",imgArr[i]);
			 $img.appendTo($section);
		 var $p = $("<p class='img-name-p'>");
			 $p.html(fileList[i].name).appendTo($section);
		 var $input = $("<input id='taglocation' name='taglocation' value='' type='hidden'>");
			 $input.appendTo($section);
		 var $input2 = $("<input id='tags' name='tags' value='' type='hidden'/>");
			 $input2.appendTo($section);

	   }
		file1 = fileList;
		setTimeout(function(){
             $(".up-section").removeClass("loading");
		 	 $(".up-img").removeClass("up-opcity");
		 },450);
	});


   
    $(".z_photo").delegate(".close-upimg","click",function(){
     	  $(".works-mask").show();
     	  delParent = $(this).parent();
	});
	//删除确认
	$(".wsdel-ok").click(function(){
		$(".works-mask").hide();
		//获取删除的该文件名
		var filename = delParent.prevObject.attr("data-filename");
		 delParent.remove();
		var img1 = Array.from(file1);
		for(var j=0;j<img1.length;j++){
			if(img1[j].name = filename){
				img1.splice(j,1);//从数组中移除
				break;
			}
		}
		file1 = img1
	});
	
	$(".wsdel-no").click(function(){
		$(".works-mask").hide();
	});
		function validateUp(files){
			var arrFiles = [];//替换的文件数组
			for(var i = 0, file; file = files[i]; i++){
				//获取文件上传的后缀名
				var newStr = file.name.split("").reverse().join("");
				if(newStr.split(".")[0] != null){
						var type = newStr.split(".")[0].split("").reverse().join("");
						if(jQuery.inArray(type, defaults.fileType) > -1){
							// 类型符合，可以上传
							if (file.size >= defaults.fileSize) {
								alert(file.size);
								alert('您这个"'+ file.name +'"文件大小过大');	
							} else {
								// 在这里需要判断当前所有文件中
								arrFiles.push(file);	
							}
						}else{
							alert('您这个"'+ file.name +'"上传类型不符合');	
						}
					}else{
						alert('您这个"'+ file.name +'"没有类型, 无法识别');	
					}
			}
			return arrFiles;
		}
})
